Skip to content
Back to top
View this page

# CommentHelper

class praw.models.listing.mixins.subreddit.CommentHelper(subreddit: praw.models.Subreddit)

  Provide a set of functions to interact with a `Subreddit`’s comments.

  __call__(**generator_kwargs: str | int | Dict[str, str]) → Iterator[praw.models.Comment]

    Return a `ListingGenerator` for the `Subreddit`’s comments.

    Additional keyword arguments are passed in the initialization of `ListingGenerator`.

    This method should be used in a way similar to the example below:

        for comment in reddit.subreddit("test").comments(limit=25):
            print(comment.author)

  __init__(subreddit: praw.models.Subreddit)

    Initialize a `CommentHelper` instance.

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.